commit:     46d056f0a3b92ac572bd8e26156fb07ca54d661f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May  5 07:22:07 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May  5 08:00:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46d056f0

xfce-extra/xfce4-notifyd: Bump to 0.6.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-notifyd/Manifest                  |  1 +
 .../xfce4-notifyd/xfce4-notifyd-0.6.1.ebuild       | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/xfce-extra/xfce4-notifyd/Manifest 
b/xfce-extra/xfce4-notifyd/Manifest
index 6764c2d89e8..0aa29553a70 100644
--- a/xfce-extra/xfce4-notifyd/Manifest
+++ b/xfce-extra/xfce4-notifyd/Manifest
@@ -1,2 +1,3 @@
 DIST xfce4-notifyd-0.4.4-r1.tar.bz2 536304 BLAKE2B 
bde62a773f7a702338e07fad8483d57576edb4c046b709c8644c17697ea73b72e46b8b4e2737d02bf23a554cbcac7c9725d7f19ee9f1ea511efb0943280f1b60
 SHA512 
546a5063673e36ef26bcdac624bfcef41a14918dbb496fb3d282613334f173b51669184b6bcfbee0f07a17863620898be2f464e487ca9755abe7285d6a43d8d5
 DIST xfce4-notifyd-0.6.0-r1.tar.bz2 539371 BLAKE2B 
aed910e3a547b29b2efb96ec5b5ab03bc3b73269dc7928018be194025d46abaa18bc2d0a879cd797b18167717b2a1f354f1a49f64e9bfc77dd2be51e06090978
 SHA512 
31f7977cb4639c90d806e8eaa94c00c19bacf1c9d5df2bc1d66ed791e446ed0ecf6bc59ec402994b1eeab5432dc20cffe67fbb267e86b1848fc2206aa4eaf10c
+DIST xfce4-notifyd-0.6.1-r1.tar.bz2 539209 BLAKE2B 
58dedc9091b1a2f5f58c4f095596f266056ef6ad735460617b6821192d2310024b27f08767c5fc7700a250c471cc77d3a0cd2655fda65e0d1ba489380d3e0ecb
 SHA512 
d48752cd4e02e515e4c5d147b7bce678a56f47f0bd336e3b9db4e14fc2b0355e0582816957fc43c313a5779b5495c836ee5da4f0cb83616a0164d692a169415f

diff --git a/xfce-extra/xfce4-notifyd/xfce4-notifyd-0.6.1.ebuild 
b/xfce-extra/xfce4-notifyd/xfce4-notifyd-0.6.1.ebuild
new file mode 100644
index 00000000000..6d7684102cf
--- /dev/null
+++ b/xfce-extra/xfce4-notifyd/xfce4-notifyd-0.6.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="Notification daemon for the Xfce desktop environment"
+HOMEPAGE="https://goodies.xfce.org/projects/applications/xfce4-notifyd";
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2 -> 
${P}-r1.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.42:2=
+       >=x11-libs/gtk+-3.14:3=
+       >=x11-libs/libnotify-0.7:=
+       >=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+       >=xfce-base/libxfce4util-4.12:=
+       >=xfce-base/xfce4-panel-4.12:=
+       >=xfce-base/xfconf-4.10:="
+DEPEND="${RDEPEND}
+       dev-util/gdbus-codegen
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to